Infrastructure - Task #4235

Story # 4230 (Closed): CN System Metadata needs tidying

Task # 4234 (Closed): Refactor Metacat DAO to use bulk data transfer calls
Enable bulk read of system metadata from all 3 CNs
2014-01-24 14:56 - Chris Jones

Status: Closed Start date: 2014-01-24
Priority: Normal Due date:

Assignee: Chris Jones % Done: 100%
Category: di_replication_auditor Estimated time: 0.00 hour

Target version:

Milestone: None Story Points:
Product Version: *
Description

We need access to the following tables from each CN's Metacat databases:

identifier
systemmetadata
smreplicationpolicy
smreplicationstatus
xml_access

Enable transfer of these tables to the controlling host (likely via pg_dump), and load these tables into Metacat on the controlling host
(likely via pg_restore), using table name prefixes (like unm_, orc_, ucsb_) to discern the CN source among the tables.

History

#1 - 2014-01-24 15:06 - Chris Jones

I've written scripts (~postgres/tx_sysmeta/tx_sysmeta_tables.sh) on all 3 production CNs that use pg_dump to dump the database tables. The scripts
use sed to replace DDL statements and add table prefixes (unm_, orc_, ucsb_) in the SQL dump files, and then use rsync over ssh with cert-based
auth to transfer the bulk data to the controlling machine. At the moment, it is sending the SQL data to cn-sandbox-unm-1 while testing.

#2 - 2014-07-30 20:26 - Robert Waltz
- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

2024-04-09 1/1



http://www.tcpdf.org

